namespace Models.Game
{
    /// <summary>
    /// Represents a cell in the operation grid of the game.
    /// </summary>
    public class OperationCell : Position
    {
        /// <summary>
        /// It tells if the operation is checked or not in the operation grid of  the game.
        /// </summary>
        public bool IsChecked { get; private set; }

        /// <summary>
        /// Constructor of the OperationCell class.
        /// </summary>
        /// <param name="x"></param>
        /// <param name="y"></param>
        public OperationCell(int x, int y) : base(x, y)
        {
            IsChecked = false;
        }

        /// <summary>
        /// Check the operation cell.
        /// </summary>
        public void Check()
        {
            IsChecked = true;
        }
    }
}